// form validation function //
function validate(form) {
  var name = form.name.value;
  var Phone = form.Phone.value;
  var area_id = form.area_id.value;
  
 // var area2_id = form.area2_id.value;
 // var email = form.email.value;
 // var gender = form.gender.value;
  //var message = form.message.value;
  var nameRegex =  /^[\u0391-\uFFE5]+$/;
  //var emailRegex = /^[\w-\.]+@([\w-]+\.)+[\w-]{2,4}$/;
  //var messageRegex = new RegExp(/<\/?\w+((\s+\w+(\s*=\s*(?:".*?"|'.*?'|[^'">\s]+))?)+\s*|\s*)\/?>/gim);
  var PhoneRegex = /^\d+$/;
 if(area_id == "0"){
 inlineMsg('area_id','您必须选择你所在城市.',2);
 return false;
}
else
{if 
   ( document.form.area2_id.value =="0")
   
   {
    inlineMsg('area2_id','您必须选择你所在具体城市.',2);
    return false;
 }}

    if(Phone == "") {
    inlineMsg('Phone','您必须输入正确的联系电话哦.固话小灵通前请加区号',2);
    return false;
  }
  if(name == "") {
    inlineMsg('name','您必须输入姓名哦.',2);
    return false;
  }
  if(!name.match(nameRegex)) {
    inlineMsg('name','你输入的名字好像不合要求哦.',2);
    return false;
  }
    if(!Phone.match(PhoneRegex)) {
    inlineMsg('Phone','你输入的联系电话不合要求哦.固话小灵通前请加区号',2);
    return false;
  }
 // if(email == "") {
   // inlineMsg('email','<strong>Error</strong><br />您需要填写 email.',2);
    //return false;
  //}
  //if(!email.match(emailRegex)) {
   // inlineMsg('email','<strong>Error</strong><br />好笨啊，email不对劲呢.',2);
    //return false;
  //}
  //if(gender == "") {
    //inlineMsg('gender','<strong>Error</strong><br />你难道不知道你是男还是女吗？',2);
    //return false;
  //}
  //if(message == "") {
   // inlineMsg('message','简短附言不能空唉.');
    //return false;
 // }
 // if(message.match(messageRegex)) {
  //  inlineMsg('message','简短附言填写失败.');
  //  return false;
 // }
{form.SubmitButton.disabled = true;form.SubmitButton.value = '您已经提交过了';}
  return true;
}

// START OF MESSAGE SCRIPT //

var MSGTIMER = 20;
var MSGSPEED = 5;
var MSGOFFSET = 3;
var MSGHIDE = 3;



function validatecom(form) {
  var name = form.com_name.value;
  var pass= form.com_pass.value;
 
  if(name == "") {
    inlineMsg('com_name','您必须输入公司用户名哦！不清楚忘记了的话询问我们！',2);
    return false;
  }
 
    if(pass == "") {
    inlineMsg('com_pass','你必须输入密码哦！',2);
    return false;
  }
{form.SubmitButton.disabled = true;form.SubmitButton.value = '您已经提交过了';}
  return true;
}

// build out the divs, set attributes and call the fade function //
function inlineMsg(target,string,autohide) {
  var msg;
  var msgcontent;
  if(!document.getElementById('msg')) {
    msg = document.createElement('div');
    msg.id = 'msg';
    msgcontent = document.createElement('div');
    msgcontent.id = 'msgcontent';
    document.body.appendChild(msg);
    msg.appendChild(msgcontent);
    msg.style.filter = 'alpha(opacity=0)';
    msg.style.opacity = 0;
    msg.alpha = 0;
  } else {
    msg = document.getElementById('msg');
    msgcontent = document.getElementById('msgcontent');
  }
  msgcontent.innerHTML = string;
  msg.style.display = 'block';
  var msgheight = msg.offsetHeight;
  var targetdiv = document.getElementById(target);
  targetdiv.focus();
  var targetheight = targetdiv.offsetHeight;
  var targetwidth = targetdiv.offsetWidth;
  var topposition = topPosition(targetdiv) - ((msgheight - targetheight) / 2);
  var leftposition = leftPosition(targetdiv) + targetwidth + MSGOFFSET;
  msg.style.top = topposition + 'px';
  msg.style.left = leftposition + 'px';
  clearInterval(msg.timer);
  msg.timer = setInterval("fadeMsg(1)", MSGTIMER);
  if(!autohide) {
    autohide = MSGHIDE;  
  }
  window.setTimeout("hideMsg()", (autohide * 1000));
}

// hide the form alert //
function hideMsg(msg) {
  var msg = document.getElementById('msg');
  if(!msg.timer) {
    msg.timer = setInterval("fadeMsg(0)", MSGTIMER);
  }
}

// face the message box //
function fadeMsg(flag) {
  if(flag == null) {
    flag = 1;
  }
  var msg = document.getElementById('msg');
  var value;
  if(flag == 1) {
    value = msg.alpha + MSGSPEED;
  } else {
    value = msg.alpha - MSGSPEED;
  }
  msg.alpha = value;
  msg.style.opacity = (value / 100);
  msg.style.filter = 'alpha(opacity=' + value + ')';
  if(value >= 99) {
    clearInterval(msg.timer);
    msg.timer = null;
  } else if(value <= 1) {
    msg.style.display = "none";
    clearInterval(msg.timer);
  }
}

// calculate the position of the element in relation to the left of the browser //
function leftPosition(target) {
  var left = 0;
  if(target.offsetParent) {
    while(1) {
      left += target.offsetLeft;
      if(!target.offsetParent) {
        break;
      }
      target = target.offsetParent;
    }
  } else if(target.x) {
    left += target.x;
  }
  return left;
}

// calculate the position of the element in relation to the top of the browser window //
function topPosition(target) {
  var top = 0;
  if(target.offsetParent) {
    while(1) {
      top += target.offsetTop;
      if(!target.offsetParent) {
        break;
      }
      target = target.offsetParent;
    }
  } else if(target.y) {
    top += target.y;
  }
  return top;
}

// preload the arrow //
if(document.images) {
  arrow = new Image(7,80); 
  arrow.src = "images/msg_arrow.gif"; 
}